aboutsummaryrefslogtreecommitdiffstats
path: root/main/ncurses/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-03 14:52:34 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-03 14:52:34 +0000
commitfff186bf2b72f7744766c879112f3c2488d1e024 (patch)
tree01e14737f180817ff3632dce28ce03e5d27007cb /main/ncurses/APKBUILD
parenta9a580b46896364c171872e3e773e350b8d6f31f (diff)
downloadaports-fff186bf2b72f7744766c879112f3c2488d1e024.tar.gz
aports-fff186bf2b72f7744766c879112f3c2488d1e024.tar.bz2
aports-fff186bf2b72f7744766c879112f3c2488d1e024.tar.xz
main/ncurses: provide basic terminfo with the main lib
The rest are provided with ncurses-terminfo
Diffstat (limited to 'main/ncurses/APKBUILD')
-rw-r--r--main/ncurses/APKBUILD28
1 files changed, 20 insertions, 8 deletions
diff --git a/main/ncurses/APKBUILD b/main/ncurses/APKBUILD
index 6bd01f640d..9ae623a5b9 100644
--- a/main/ncurses/APKBUILD
+++ b/main/ncurses/APKBUILD
@@ -1,28 +1,40 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ncurses
pkgver=5.7
-pkgrel=0
+pkgrel=1
pkgdesc="Console display library"
url="http://www.gnu.org/software/ncurses/"
license=MIT
depends=
-
-source="ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz
- "
-
+source="ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-terminfo"
build() {
cd "$srcdir/$pkgname-$pkgver"
- ./configure \
+ ./configure \
--mandir=/usr/share/man \
--disable-ada \
--without-cxx-binding \
+ --with-terminfo-dirs="/etc/terminfo:/usr/share/terminfo" \
--with-shared
- make || return 1
- make install DESTDIR=$pkgdir/
+ make || return 1
+ make install DESTDIR="$pkgdir"
+
+ # Install basic terms in /etc/terminfo
+ for i in ansi console dumb linux rxvt screen sun vt52 vt100 vt102 \
+ vt200 vt220 xterm xterm-color xterm-xfree86; do
+ local termfile=$(find "$pkgdir"/usr/share/terminfo/ -name "$i" 2>/dev/null)
+ local basedir=$(basename $(dirname "$termfile"))
+
+ [ -z "$termfile" ] && continue
+
+ install -d "$pkgdir"/etc/terminfo/$basedir
+ mv ${termfile} "$pkgdir"/etc/terminfo/$basedir/
+ ln -s ../../../../etc/terminfo/$basedir/$i \
+ "$pkgdir"/usr/share/terminfo/$basedir/$i
+ done
}
terminfo() {